var APIBase = require("../../api.base");
var system = require("../../../system");
var settings = require("../../../../config/settings");
class OpPayOrder extends APIBase {
    constructor() {
        super();
        this.orderinfoSve = system.getObject("service.dbcorder.orderinfoSve");
    }

    async receivePayCallBackNotify(pobj, qobj, req) {
        var result = await this.orderinfoSve.opOrderPayCallBackTl(pobj, pobj.appInfo);
        return result;
    }
    async receivePayCallBackNotifyByAliDing(pobj, qobj, req) {
        var result = await this.orderinfoSve.opOrderPayCallBackAliDing(pobj, pobj.appInfo);
        return result;
    }

    async receivePayCallBackNotifyByWX(pobj, qobj, req) {
        var result = await this.orderinfoSve.opOrderPayCallBackWX(pobj, pobj.appInfo);
        return result;
    }

    async receivePayCallBackNotifyByChannel(pobj, qobj, req) {
        var result = await this.orderinfoSve.opOrderPayCallBackChannel(pobj, pobj.appInfo);
        return result;
    }

    //根据合同号获取所有订单
    async getOrderListByOrderServiceNo(pobj,qobj,req){
        let result = await this.orderinfoSve.getOrderListByOrderServiceNo(pobj,pobj.appInfo)
        return result;
    }

    //获取支付记录
    async getPayRecords(pobj,qobj,req){
        let result = await this.orderinfoSve.getPayRecords(pobj);
        return result;
    }
}
module.exports = OpPayOrder;